aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ipvsadm/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/ipvsadm/APKBUILD')
-rw-r--r--testing/ipvsadm/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/testing/ipvsadm/APKBUILD b/testing/ipvsadm/APKBUILD
new file mode 100644
index 0000000000..c702550270
--- /dev/null
+++ b/testing/ipvsadm/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+pkgname=ipvsadm
+pkgver=1.26
+pkgrel=0
+pkgdesc="The IP Virtual Server administration utility"
+url="http://www.linuxvirtualserver.org/software/ipvs.html"
+arch="all"
+license="GPL2"
+depends=
+depends_dev="libnl-dev popt-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.linuxvirtualserver.org/software/kernel-2.6/$pkgname-$pkgver.tar.gz
+ 01-fix-not-showing-all-server.patch
+ "
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ patch -p1 -i ../01-fix-not-showing-all-server.patch
+}
+
+build() {
+ cd "$_builddir"
+ make BUILD_ROOT="$pkgdir" \
+ MANDIR=usr/share/man \
+ SBIN="$pkgdir/usr/sbin" \
+ INIT="$pkgdir/etc/init.d" \
+ || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make BUILD_ROOT="$pkgdir" \
+ MANDIR=usr/share/man \
+ SBIN="$pkgdir/usr/sbin" \
+ INIT="$pkgdir/etc/init.d" \
+ install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="eac3ba3f62cd4dea2da353aeddd353a8 ipvsadm-1.26.tar.gz
+69e697b4c68f79b2b676bc9f8ef7ec3c 01-fix-not-showing-all-server.patch"